Class List Method List File List

# Class: Haml::ErubisTemplateHandler

Inherits:
  ActionView::Template::Handlers::Erubis
  - Object
  - ActionView::Template::Handlers::Erubis
  - Haml::ErubisTemplateHandler
  show all
Defined in:
  lib/haml/helpers/safe_erubis_template.rb

## Instance Method Summary (collapse)

- - (ErubisTemplateHandler) initialize(*args, &blk) constructor

  A new instance of ErubisTemplateHandler.

## Constructor Details

### - (`ErubisTemplateHandler`) initialize(*args, &blk)

Returns a new instance of ErubisTemplateHandler

    5
    6
    7
    8

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 5

    def initialize(*args, &blk)
      @newline_pending = 0
      super
    end